Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Class Dependencies.DependentPuncWordRejectFilter<G extends Label,D extends Label,N>

    java.lang.Object
      edu.stanford.nlp.trees.Dependencies.DependentPuncWordRejectFilter<G,D,N>

All Implemented Interfaces:
  Filter<Dependency<G,D,N>>, Serializable

Enclosing class:
  Dependencies

    public static class Dependencies.DependentPuncWordRejectFilter<G extends Label,D extends Label,N>

extends Object
implements Filter<Dependency<G,D,N>>

See Also:
  Serialized Form

Constructor Summary
`Dependencies.DependentPuncWordRejectFilter(Filter<String> wrf)`

Method Summary
`boolean` | `accept(Dependency<G,D,N> d)` Checks if the given object passes the filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dependencies.DependentPuncWordRejectFilter

    public Dependencies.DependentPuncWordRejectFilter(Filter<String> wrf)

Parameters:
  `wrf` - A filter that rejects punctuation words.

Method Detail

### accept

    public boolean accept(Dependency<G,D,N> d)

  Description copied from interface: `Filter`
  Checks if the given object passes the filter.

  Specified by:
    `accept` in interface `Filter<Dependency<G extends Label,D extends Label,N>>`
  Parameters:
    `d` - an object to test

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group